The chain of custody for a run
Every handover recorded on the run, oldest first, each with the animals it covered. Needs read on Animals.
GET
https://{organization}.rescueconsole.com
/
api
/
animals
/
transports
/
{id}
/
handovers
The chain of custody for a run
curl --request GET \
--url https://{organization}.rescueconsole.com/api/animals/transports/{id}/handovers \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/animals/transports/{id}/handovers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/transports/{id}/handovers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"results": [
{
"id": "<string>",
"at_place": "<string>",
"handed_at": "2023-11-07T05:31:56Z",
"from_name": "<string>",
"from_person_id": "<string>",
"to_name": "<string>",
"to_person_id": "<string>",
"signature_name": "<string>",
"notes": "<string>",
"recorded_by_person_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"animals": [
{
"id": "<string>",
"name": "<string>",
"species": "<string>"
}
]
}
]
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}⌘I
The chain of custody for a run
curl --request GET \
--url https://{organization}.rescueconsole.com/api/animals/transports/{id}/handovers \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/animals/transports/{id}/handovers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/transports/{id}/handovers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"results": [
{
"id": "<string>",
"at_place": "<string>",
"handed_at": "2023-11-07T05:31:56Z",
"from_name": "<string>",
"from_person_id": "<string>",
"to_name": "<string>",
"to_person_id": "<string>",
"signature_name": "<string>",
"notes": "<string>",
"recorded_by_person_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"animals": [
{
"id": "<string>",
"name": "<string>",
"species": "<string>"
}
]
}
]
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}